Main menu:

Sponsoring

Please consider a small donation:

 

 

Or you can donate bitcoin:

 

Thanks to TekLinks in Birmingham, AL, for providing colocation and bandwidth.

Page Rank

Fame

FOSS Force Best Blog--2013 Award

Recent posts

Recent comments

About this blog

I am Eric Hameleers, and this is where I think out loud.
More about me.

Search

My Favourites

Slackware

Calendar

November 2014
M T W T F S S
« Oct    
 12
3456789
10111213141516
17181920212223
24252627282930

RSS Alien's Slackware packages

RSS Alien's unofficial KDE Slackware packages

RSS Alien's multilib packages

Meta

Release candidate 1 of KDE SC 4.5

The sources of KDE Software Compilation 4.4.90 (which is  in fact Release Candidate 1 of the upcoming KDE 4.5) have been available on KDE’s ftp server for some days now.

There is still no official announcement from KDE team about this RC1 but it will without doubt appear soon on kde.org after the weekend.

In the meantime I have been building packages (32-bit and 64-bit) that you can install on Slackware 13.1 or -current. See my ktown repository for installation/upgrade instructions.

Please note that this release candidate will likely still have bugs – if you find any please report them to bugs.kde.org so that we can expect a great 4.5 release in august.

You can download 4.4.90 from the server using http:

lftp -c “open http://alien.slackbook.org/ktown/ ; mirror 4.4.90″

or using rsync (mind the dot at the end):

rsync -av rsync://alien.slackbook.org/alien-kde/4.4.90 .

Also next week, there will be a release of KDE SC 4.4.5 (the last in the 4.4 series) and if everything goes as planned, this should end up in slackware-current – meaning, I won’t have to build packages for 4.4.5.

Cheers, Eric

Comments

Comment from gabriel
Posted: June 27, 2010 at 18:01

Hello Eric
I have upgraded my slackbox using your freshly compiled packages ,for now all works fine expected some translation errors in the panel config (in french).
I think this version will be a good “milesime”.
Thank you for your great and fast job.

Comment from powtrix
Posted: June 30, 2010 at 04:36

thanks for the update,
before the superkaramba was working but now, it fails to load any theme:
*** glibc detected *** superkaramba: malloc(): memory corruption (fast): 0x0000000000b69461 ***
any idea?

Comment from Jeffrey
Posted: June 30, 2010 at 22:47

Great Job. 4.4.90 works well, only some little issues.
Thank You.

Comment from Geovanni
Posted: July 5, 2010 at 12:29

Hello Eric! I tested KDE 4.5RC1, and i found a lot of bugs, mainly with Dolphin wich freezes all the time, so I downgraded my KDE to 4.4.4 again. Are you going to build KDE 4.4.5?. Thanks, I really appreciate your work.

Comment from Eduardo
Posted: July 8, 2010 at 17:56

hi eric! I’ve downloaded and installed the packages and they work, although there are some bugs. My question is: should deps on the 4.4.5 packages be applied to this series?

Thanks again,

Eduardo (from Paraguay)

Comment from alienbob
Posted: July 8, 2010 at 20:59

Hi Eduardo

No, the deps from the 4.4.5 directory are not needed for my 4.4.90 packages.

There will be a whole new set of KDE packages soon (4.4.92 aka the 4.5-rc2), which will ship all the deps I used for KDE 4.4.5. I had actually already finished building when I found out I have omitted the polkit-qt-1 package so that the KDE packages were built without PolKit support.
I am now re-building 3 of those packages (twice actually, 32-bit as well as 64-bit) and hopefully can upload those RC2 packages tomorrow so that you have something to play with this weekend.

Eric

Comment from Eduardo
Posted: July 9, 2010 at 16:14

Eric: Thank you! I’m downloading RC2 now. Thanks again!

Comment from gonye
Posted: July 18, 2010 at 17:43

Thank you Eric, it’s work fine! Perfect!

Write a comment